For the complete documentation index, see llms.txt. This page is also available as Markdown.

Brand kit fonts

List brand kit fonts

This endpoint makes an HTTP GET request to list the fonts of a brandkit.

Request

  • Method: GET

  • Endpoint: https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts

curl -X 'GET' \
  'https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts \
  -H 'Authorization: Bearer eyJ...'

Response

The response will be in JSON format with the following schema:

{
    "response": {
        "fonts": [
            {
               "id": number,
                "name": string,
                "family": string,
                "subFamily": string,
                "weight": number,
                "version": string,
                "fontFamilyUrl": string,
                "fontFaceUrl": string
             }
         ]
    }
}

Upload brand kit fonts

This endpoint allows you to upload a font in a brand kit.

Request

  • Method: POST

  • Endpoint: https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts

  • Body:

    • file (multipart/form data, required): The font file to upload (TTF, OTF and WOFF).

Response

The response will be in JSON format with the following schema:

Delete brand kit fonts

This endpoint allows you to delete a font from a brandkit.

Request

  • Method: DELETE

  • Endpoint: https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts

  • Body:

    • fontId (number, required): The id of the font to delete.

Response

Last updated